Skip to content
ShopentlyLearn

List products

Filter products and paginate results in the selected language and market.

GET/api/v1/products

cURL request

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request GET \
  --url 'https://shop.onshopently.com/api/v1/products?limit=20' \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN'

Response

{
  "data": [
    {
      "availability": {
        "available_from": null,
        "available_until": null,
        "is_available": true
      },
      "brand_id": null,
      "condition": "new",
      "created_at": "2026-01-01T12:00:00Z",
      "id": "example",
      "name": "Example",
      "number": "example",
      "price": {
        "amount": "0.00",
        "currency": "PLN",
        "minor_units": 2,
        "tax_included": true
      },
      "price_version": 1,
      "primary_category_id": "example",
      "primary_media_id": "example",
      "published": false,
      "sku": "example",
      "slug": "example",
      "tax_category_id": "example",
      "updated_at": "2026-01-01T12:00:00Z",
      "variants_enabled": false,
      "version": 1
    }
  ],
  "meta": {
    "locale": "en",
    "market_code": "PL",
    "market_id": "example",
    "pagination": {
      "has_more": false,
      "limit": 20,
      "next_cursor": null
    },
    "request_id": "example"
  }
}

Required permissions

Authentication
Access token
Available from
STANDARD
Key permission
View productscatalog.product:read